%define anolis_release 1

Name: libcdio-paranoia
Version: 10.2+2.0.1
Release: %{anolis_release}%{dist}
Summary: CD paranoia on top of libcdio
License: GPLv3+
URL: http://www.gnu.org/software/libcdio/
Source0: http://ftp.gnu.org/gnu/libcdio/libcdio-paranoia-%{version}.tar.bz2
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: gettext-devel
BuildRequires: chrpath
BuildRequires: libcdio-devel
BuildRequires: make

%description
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

Split off from libcdio to allow more flexible licensing and to be compatible
with cdparanoia-III-10.2's license. And also, libcdio is just too large.

%package devel
Summary: Header files and libraries for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package contains header files and libraries for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

# fix pkgconfig files
sed -i -e 's,-I${includedir},-I${includedir}/cdio,g' libcdio_paranoia.pc.in
sed -i -e 's,-I${includedir},-I${includedir}/cdio,g' libcdio_cdda.pc.in

f=doc/ja/cd-paranoia.1.in
iconv -f euc-jp -t utf-8 -o $f.utf8 $f && mv $f.utf8 $f
iconv -f ISO88591 -t utf-8 -o THANKS.utf8 THANKS && mv THANKS.utf8 THANKS

%build
%configure \
	--disable-dependency-tracking \
	--disable-static \
	--disable-rpath
%make_build

%install
%make_install

mv $RPM_BUILD_ROOT%{_mandir}/{jp,ja}

# copy include files to an additional directory for backward compatibility
# this is where most software still expects those files
cp -a $RPM_BUILD_ROOT%{_includedir}/cdio/paranoia/*.h $RPM_BUILD_ROOT%{_includedir}/cdio/

%check
%make_build check

%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/*
%dir %{abidir}
%{abidir}/*.list
%{_libdir}/*.so.*
%{abidir}/*.dump
%{_mandir}/man1/*
%lang(ja) %{_mandir}/ja/man1/*

%files devel
%doc doc/overlapdef.txt
%{_includedir}/cdio/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%doc AUTHORS NEWS.md README.md THANKS

%changelog
* Wed Mar 15 2023 yuanhui <yuanhui@linux.alibaba.com> - 10.2+2.0.1-1
- Init libcdio-paranoia for AnolisOS 23
